Skip to main content
GET
/
v1
/
files
/
{file_id}
Get File Endpoint
curl --request GET \
  --url https://api.extract.page/v1/files/{file_id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "<string>",
  "customer_id": "<string>",
  "status": "<string>",
  "size_bytes": 123,
  "created_at": "<string>",
  "expires_at": "<string>",
  "object": "file",
  "filename": "<string>",
  "content_type": "<string>",
  "sha256": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extract.page/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

file_id
string
required

Response

Successful Response

id
string
required
customer_id
string
required
status
string
required
size_bytes
integer
required
created_at
string
required
expires_at
string
required
object
string
default:file
filename
string | null
content_type
string | null
sha256
string | null